Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class ArraySerializer

    java.lang.Object
      |
      +--org.apache.axis.encoding.ser.ArraySerializer

All Implemented Interfaces:
  java.io.Serializable, Serializer, Serializer

public class ArraySerializer
extends java.lang.Object
implements Serializer

An ArraySerializer handles serializing of arrays. Some code borrowed from ApacheSOAP - thanks to Matt Duftler!

Author:
  Glen Daniels (gdaniels@macromedia.com) Multi-reference stuff:, Rich Scheuerle (scheu@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`ArraySerializer()`

Method Summary
`java.lang.String` | `getMechanismType()` Gets the type of the XML processing mechanism and representation used by this Serializer.
`void` | `serialize(QName name, org.xml.sax.Attributes attributes, java.lang.Object value, SerializationContext context)` Serialize an element that is an array.
`boolean` | `writeSchema(Types types)` Return XML schema for the specified type, suitable for insertion into the element of a WSDL document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### ArraySerializer

    public ArraySerializer()

Method Detail

### serialize

    public void serialize(QName name,
                          org.xml.sax.Attributes attributes,
                          java.lang.Object value,
                          SerializationContext context)
                   throws java.io.IOException

  Serialize an element that is an array.
  Specified by:
    `serialize` in interface `Serializer`
  Parameters:
    `name` - is the element name
    `attributes` - are the attributes...serialize is free to add more.
    `value` - is the value
    `context` - is the SerializationContext

### getMechanismType

    public java.lang.String getMechanismType()

  Description copied from interface: `Serializer`
  Gets the type of the XML processing mechanism and representation used by this Serializer.
  Specified by:
    `getMechanismType` in interface `Serializer`
  Following copied from interface: `javax.xml.rpc.encoding.Serializer`
  Returns:
    XML processing mechanism type

### writeSchema

    public boolean writeSchema(Types types)
                        throws java.lang.Exception

  Return XML schema for the specified type, suitable for insertion into the element of a WSDL document.
  Specified by:
    `writeSchema` in interface `Serializer`
  Parameters:
    `types` - the Java2WSDL Types object which holds the context for the WSDL being generated.
  Returns:
    true if we wrote a schema, false if we didn't.
  See Also:
    `Types`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.